//
//  main.m
//  PDFSplitConsole
//
//  Created by Debenu Pty Ltd on 9/22/12.
//  Copyright (c) 2012 Debenu Pty Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Controller.h"

void printUsage();

int main(int argc, const char * argv[])
{
    NSAutoreleasePool* pool = [[NSAutoreleasePool alloc] init];
    
    NSArray* arguments = [[NSProcessInfo processInfo] arguments];
    
    if( [arguments count] < 4 ) {
        printUsage();
        return -1;
    }

    NSInteger sourceFileCount = [arguments count];
    
    NSMutableArray* sourceFiles = [NSMutableArray array];
    
    for( NSInteger i = 1; i < sourceFileCount - 1; ++i ) {
        [sourceFiles addObject:[arguments objectAtIndex:i]];
    }
    
    NSString* toFile = [arguments lastObject];
    
    Controller* mergeController = [[[Controller alloc] init] autorelease];
    NSError* error = nil;

    if( ![mergeController mergeWithFiles:sourceFiles to:toFile error:&error] ) {
        NSLog(@"%@", [error localizedDescription]);
        return -1;
    }

    NSLog(@"overlay success!");
        
    [pool drain];
    
    return 0;
}

void printUsage()
{
    NSLog(@"Usage: pdfmergeconsole input_file1 input_file2 ... input_fileN output_file");
}
